Page MenuHomePhabricator

potential resource leak.
Closed, ResolvedPublic

Description

The Coverity(static sw analysis tool) detected a potential resource leak in _efl_net_server_tcp_resolved_bind(), ecore_con/efl_net_server_tcp.c,
I took a look at the code seriously because my gut says, close() would be happened somewhere else.

But, I couldn't catch up to any closesocket() for the file descriptor actually. It doesn't extend Closer class nor nowhere close() calls.

So curious, it's an actual problem or not.

If you look at the function, you could see fd = efl_net_socket4(..) at 59 line.

Could you please confirm this?

Hermet created this task.Apr 8 2018, 11:54 PM
Hermet triaged this task as Normal priority.
Hermet updated the task description. (Show Details)Apr 9 2018, 12:05 AM
Hermet updated the task description. (Show Details)

to me looks like a false positive, paste the coverity error or link to the report?

Hermet added a comment.EditedApr 25 2018, 1:52 AM

Attached screen.

so it's indeed a false positive, line 70:

efl_loop_fd_set(o, fd);

This keeps the reference to that resource.

Hermet closed this task as Resolved.May 2 2018, 10:16 PM